Package org.bukkit.entity

# Enum Class Horse.Variant

java.lang.Object
java.lang.Enum<Horse.Variant>
org.bukkit.entity.Horse.Variant

All Implemented Interfaces:
  `Serializable`, `Comparable<Horse.Variant>`, `Constable`

Enclosing interface:
  Horse

@Deprecated public static enum Horse.Variant extends Enum<Horse.Variant>
Deprecated.
different variants are differing classes

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CAMEL`
Deprecated.
Also not really a horse :)
`DONKEY`
Deprecated.
A donkey
`HORSE`
Deprecated.
A normal horse
`LLAMA`
Deprecated.
Not really a horse :)
`MULE`
Deprecated.
A mule
`SKELETON_HORSE`
Deprecated.
A skeleton horse
`UNDEAD_HORSE`
Deprecated.
An undead horse

## Method Summary

Modifier and Type
Method
Description
`static Horse.Variant`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static Horse.Variant[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HORSE

public static final Horse.Variant HORSE
Deprecated.
A normal horse

### DONKEY

public static final Horse.Variant DONKEY
Deprecated.
A donkey

### MULE

public static final Horse.Variant MULE
Deprecated.
A mule

### UNDEAD_HORSE

public static final Horse.Variant UNDEAD_HORSE
Deprecated.
An undead horse

### SKELETON_HORSE

public static final Horse.Variant SKELETON_HORSE
Deprecated.
A skeleton horse

### LLAMA

public static final Horse.Variant LLAMA
Deprecated.
Not really a horse :)

### CAMEL

public static final Horse.Variant CAMEL
Deprecated.
Also not really a horse :)

## Method Details

### values

public static Horse.Variant[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Horse.Variant valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null